Subject: RE: Authors Section on recyle clarifications to 2461and 2462

From: "Bound, Jim" <[email-masked]>
Date: Tue, 4 Nov 2003 01:37:15 -0500

We don't have precedence exactly.  Usually same author does recycle.  As
I walk-the-walk and don't just talk-the-talk.  For RFC 3493 we had
multiple editor for years.  But we never changed the original inventor
of that API Robert Gilligan.  ALso I have seen no significant technical
value add except for the fine work from MIPv6.  I have told Erik I
believe MIPv6 should have its own ND spec if MIPv6 is to put that
elsewhere, which I do not support as an engineer or implementor.  I like
it all in one spec and MIPv6 in current form is exactly correct to me as
engineer and implementor.  Bottom line I question putting any names on
these specs.

If we had to recycle 2460 and Steve is still gone and Bob Hinden don't
have time (which I guess is the case with Erik and Thomas) would we add
another name to the IPv6 specification?  I don't believe we would out of
respect to Steve.  We likewise should not do that to these authors these
two specs are as pristine and original as 2460 and as important to IPv6.

I think we have an honor issue here.  I would recycle and work on these
and not even consider my name on the top of the drafts it would not be
right.  And I was here when both of these were born and most here were
not even working on IPv6.

We are a community and a community its honor is directly related to its
respect for that which was invented by others and giving them that
credit within the community.  At least require significant "technical
contribution" which is not the case here at all.  

/jim

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]] 
> Sent: Monday, November 03, 2003 2:02 PM
> To: Bound, Jim; [email-masked]
> Subject: Re: Authors Section on recyle clarifications to 2461and 2462
> 
> 
> Jim,
> 
> Are there any precedents? What has IETF done in other cases 
> where specs have been rev-ed?
> 
> The only case I personally know of is Mobile IPv4, in which 
> the author/editor name was not changed when a new revision 
> was put out, but perhaps there are others where different 
> procedures were followed.
> 
>             jak
> 
> 
> ----- Original Message ----- 
> From: "Bound, Jim" <[email-masked]>
> To: <[email-masked]>
> Sent: Saturday, November 01, 2003 11:00 PM
> Subject: Authors Section on recyle clarifications to 2461and 2462
> 
> 
> > As we recycle 2461 and 2462 specifications I suggest that no 
> > additional names be added to the authors names for two 
> reasons. First 
> > its not "honorable" as nothing has been discussed nor I perceive 
> > currently will be learned that adds any architectural value of 
> > "significance" to these widely deployed and important IPv6 
> > specifications.  The current authors worked for many years 
> and earned 
> > their names on this spec.  Second I believe new editors 
> should be put 
> > at the bottom of the spec under recycle acknowledgements 
> per the IETF 
> > new rule to reduce author names on all specifications.
> >
> > My .50 cents,
> > /jim
> >
> > ---------------------------------------------------------
> > "You want to spread rumors and gossip about me? You want to 
> question 
> > my honor and integrity? You want to insult me to my face? Okay...go 
> > right ahead.  But, don't expect me to walk away. Don't expect me to 
> > take it. Hell, don't expect me to hire a lawyer to do my 
> fighting for 
> > me. Some people are inherently peaceful. They're capable of 
> swallowing 
> > their anger or letting the legal system take its course. Maybe they 
> > believe in some sort of Judgement Day, when we all have to 
> account for 
> > our transgressions. Me? I am not that patient."  Chuck Zito from 
> > "Street Justice"
> >
> > --------------------------------------------------------------------
> > IETF IPv6 working group mailing list
> > [email-masked]
> > Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> > --------------------------------------------------------------------
> >
> >
> 
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Tim Chown <[email-masked]>
Date: Tue, 4 Nov 2003 08:46:51 +0000

> two specs are as pristine and original as 2460 and as important to IPv6.

The acknowledgements section seems an appropriate place?

Tim

---

From: Thomas Narten <[email-masked]>
Date: Tue, 04 Nov 2003 21:04:39 -0500

Jim,

> respect to Steve.

And who on earth would be willing to author a document if they
couldn't even get credit for the work that they put into the revision?

While I don't see a need make significant revisions to 2460, I don't
think it's healthy to associate individuals with documents to the
point where it becomes impossible to conceive of any change in the
authorship of a document because of history. Each new version of a
document should stand on its own merits, and if a new editor/author
has done significant work, they should be acknowledged for it, quite
possibly by being listed as a new or additional author. But again,
talking hypotheticals is not so productive here. This sort of
conversation is best held when it has become clear how much work was
put into a document and by who.

Thomas